MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031816Open CASCADE[OCCT] OCCT:Visualizationpublic2020-10-01 14:582020-10-03 14:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031816: Data Exchange - RWMesh_MaterialMap::CopyTexture() copies glb file instead of a texture inside it
DescriptionRWMesh_MaterialMap::CopyTexture() copies entire glb file instead of a texture in it defined by offset leading to broken output.
TagsNo tags attached.
Test case numberde_mesh/gltf_write/lantern
Attached Files

- Relationships
child of 0030953verifiedbugmaster Data Exchange - implement export of mesh data into glTF 2.0 format 

-  Notes
(0095526)
git (administrator)
2020-10-01 15:04

Branch CR31816 has been created by kgv.

SHA-1: d6123c5451db0970c6d194614375aa56144896d7


Detailed log of new commits:

Author: kgv
Date: Thu Oct 1 15:07:46 2020 +0300

    0031816: Data Exchange - RWMesh_MaterialMap::CopyTexture() copies glb file instead of a texture inside it
    
    Image_Texture is now checked if it defines an additional offset within the file
    to avoided copying an old glb file with embedded image files instead of extracting them.
(0095539)
kgv (developer)
2020-10-01 18:05

Patch is ready for review
- OCCT branch: CR31816.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31816-master-KGV/ [^]
(0095551)
osa (developer)
2020-10-02 10:16

The patch was reviewed without remarks
(0095631)
bugmaster (administrator)
2020-10-03 14:03

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095647)
git (administrator)
2020-10-03 14:38

Branch CR31816 has been deleted by inv.

SHA-1: d6123c5451db0970c6d194614375aa56144896d7

- Related Changesets
occt: master dba98873
Timestamp: 2020-10-01 12:07:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031816: Data Exchange - RWMesh_MaterialMap::CopyTexture() copies glb file instead of a texture inside it

Image_Texture is now checked if it defines an additional offset within the file
to avoided copying an old glb file with embedded image files instead of extracting them.
mod - src/RWMesh/RWMesh_MaterialMap.cxx Diff ] File ]
add - tests/de_mesh/gltf_write/lantern Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-01 14:58 kgv New Issue
2020-10-01 14:58 kgv Assigned To => kgv
2020-10-01 15:04 git Note Added: 0095526
2020-10-01 15:09 kgv Relationship added child of 0030953
2020-10-01 15:09 kgv Product Version 7.4.0 => 7.5.0
2020-10-01 18:05 kgv Note Added: 0095539
2020-10-01 18:05 kgv Assigned To kgv => osa
2020-10-01 18:05 kgv Status new => resolved
2020-10-02 10:16 osa Note Added: 0095551
2020-10-02 10:16 osa Assigned To osa => bugmaster
2020-10-02 10:16 osa Status resolved => reviewed
2020-10-03 12:55 bugmaster Test case number => de_mesh/gltf_write/lantern
2020-10-03 14:03 bugmaster Note Added: 0095631
2020-10-03 14:03 bugmaster Status reviewed => tested
2020-10-03 14:05 bugmaster Changeset attached => occt master dba98873
2020-10-03 14:05 bugmaster Status tested => verified
2020-10-03 14:05 bugmaster Resolution open => fixed
2020-10-03 14:38 git Note Added: 0095647


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker